#
# spec file for package perl-Net-SMTPS
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Net-SMTPS
Version:        0.10
Release:        lp156.2.1
%define cpan_name Net-SMTPS
Summary:        SSL/STARTTLS support for Net::SMTP
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TOMO/src/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Authen::SASL) >= 2
BuildRequires:  perl(IO::Socket::SSL) >= 1
Requires:       perl(Authen::SASL) >= 2
Requires:       perl(IO::Socket::SSL) >= 1
%{perl_requires}

%description
This module implements a wrapper for Net::SMTP, enabling over-SSL/STARTTLS
support. This module inherits most of all the methods from Net::SMTP(2.X).
You may use all the friendly options that came bundled with Net::SMTP. You
can control the SSL usage with the options of new() constructor method.
'doSSL' option is the switch, and, If you would like to control detailed
SSL settings, you can set SSL_* options that are brought from
IO::Socket::SSL. Please see the document of IO::Socket::SSL about these
options detail.

Just one method difference from the Net::SMTP, you can select SMTP AUTH
mechanism as the third option of auth() method.

As of Version 3.10 of Net::SMTP(libnet) includes SSL/STARTTLS capabilities,
so this wrapper module's significance disappareing.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
